[SDL] error compiling vlc client

Jonathan Atkins jcatki at jcatki.no-ip.org
Sat Jul 20 06:20:01 PDT 2002


Felipe Gasper wrote:

> Hello,
> 
>     I get this error when I try to compile vlc (or MPlayer, I think):
> 
> --------
> (configure, configure....)
> checking for sdl12-config... no
> checking for sdl11-config... no
> checking for sdl-config... /usr/local/bin/sdl-config
> checking for SDL/SDL.h... no
> configure: error: The development package for SDL is not installed.
> Please install it and try again. Alternatively you can also configure with
> --disable-sdl.

tell them not to put the "SDL/" prefix on the include file.
the prefered method is: #include "SDL.h"
and not #include <SDL/SDL.h>

so complain to the developers.

I'm not saying that your installation of SDL is correct either, but I have no easy method for testing that...
you should check the validity of your "sdl-config --prefix" output probably...

-- 
              -=<Long Island Man>=-
                    Jon Atkins
              http://jonatkins.org/





More information about the SDL mailing list